enable_hardware_cursor(3)

NAME
enable_hardware_cursor - Enables the OS hardware cursor. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void enable_hardware_cursor(void);

DESCRIPTION
After calling this function, Allegro will let the operating system draw the mouse cursor instead of doing it itself. This is not possible with all graphics drivers though: you'll need to check the gfx_capabilities flags after calling show_mouse() to see if this works. On some platforms, enabling the hardware cursor causes get_mouse_mickeys() to return only a limited range of values, so you should not call this function if you need mouse mickeys.

SEE ALSO
install_mouse(3), show_mouse(3), set_mouse_sprite(3), get_mouse_mickeys(3), gfx_capabilities(3), disable_hardware_cursor(3), show_os_cursor(3), exsyscur(3)